Zum Hauptinhalt springen
GET
/
blogs
/
v3
/
topics
List blog topics
curl --request GET \
  --url https://api.hubapi.com/blogs/v3/topics \
  --header 'Authorization: Bearer <token>'
{
  "objects": [
    {
      "id": 349001328,
      "portalId": 62515,
      "name": "api-docs",
      "slug": "api-docs",
      "description": "",
      "created": 1381896200000,
      "updated": 1381896200000,
      "deletedAt": 0
    },
    {
      "id": 447332568,
      "portalId": 62515,
      "name": "Test Topic 20140110160733",
      "slug": "test-topic-20140110160733",
      "description": "",
      "created": 1389388053000,
      "updated": 1389388053000,
      "deletedAt": 0
    },
    {
      "id": 450113517,
      "portalId": 62515,
      "name": "Test",
      "slug": "test",
      "description": "",
      "created": 1389387669000,
      "updated": 1389387669000,
      "deletedAt": 0
    }
  ],
  "message": null,
  "total": 3,
  "limit": 1000,
  "offset": 0
}

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Abfrageparameter

id
string

Search for topics by id. Supports exact value matching and the 'in' range filter (e.g. id__in=348109009,348109019)

name
string

Search for topics by name. Supports exact value matching, 'contains' searching, and 'icontains' case-insensitive searching (e.g. name__contains=topic1)

slug
string

Search for topics by slug. Supports exact value matching

created
integer<int64>

Filter results by creation date, in milliseconds since the epoch. Supports exact value matching and the following range filters: range, gt, gte, lt, lte

limit
integer
Standard:20

The maximum number of items to return. Defaults to 20.

offset
integer
Standard:0

The offset from the beginning of the result set from which to start returning results. Used for paging. Defaults to 0.

casing
enum<string>

Use the casing=snake parameter to change the API's casing for all query parameters (including those above) and JSON fields (below) to snake_case, rather than camelCase, which is the default. This option is provided for backwards-compatibility and ease of migration from Content v2 APIs, which used snake_case.

Verfügbare Optionen:
snake

Antwort

successful operation

objects
object[]
message
string | null
total
integer
limit
integer
offset
integer
Last modified on April 9, 2026